library(aqp)
library(cluster)
library(ape)
library(RColorBrewer)
library(latticeExtra)
library(plyr)
library(plotrix)
library(dplyr)
library(sharpshootR)
library(soilDB)
library(Hmisc)
library(lattice)
library(reshape)
library(rms)
library(grid)
library(ggplot2)
library(gridExtra)



city_all <- read.csv("//Aa.ad.epa.gov/ord/CIN/Users/main/L-P/LSchifma/Net MyDocuments/PROJECTS/Herrmann - Multicity Soil Analysis/SoilProfileCollectionPlots/MASTER_GHD.csv")
ref_all <- read.csv("//Aa.ad.epa.gov/ord/CIN/Users/main/L-P/LSchifma/Net MyDocuments/PROJECTS/Herrmann - Multicity Soil Analysis/ReferencePedonDB_Master.csv")
city_all<-city_all[,-c(18,17,16,15,12,10,9,8)]
ref_all<-ref_all[,-c(3,4,5)]

names(city_all)
names(ref_all)


setwd("//Aa.ad.epa.gov/ord/CIN/Users/main/L-P/LSchifma/Net MyDocuments/PROJECTS/Herrmann - Multicity Soil Analysis/SoilProfileCollectionPlots")


#by city
filter(city_all, City_Name=="New Orleans")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="New Orleans")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","Ab_R","B_R","Bb_R","C_R", "O_R", "Ob_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$E_R <- 0

p_city$B_U <- 0
p_city$Bb_U <- 0
p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"New Orleans"
differences->NOLA_differences

#######################################################################################

#by city
filter(city_all, City_Name=="San Juan")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="San Juan")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "O_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","Ob_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$Ob_R <- 0
p_ref$E_R <- 0


p_city$O_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"San Juan"
differences->SAN_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Tacoma")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Tacoma")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "E_R", "O_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Tacoma"
differences->TAC_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Portland")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Portland")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM




#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "E_R", "O_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Portland"
differences->POR_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Phoenix")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Phoenix")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","Ab_R","B_R","Bb_R","C_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$O_R <- 0
p_ref$Ob_R <- 0
p_ref$E_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Phoenix"
differences->PHO_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Omaha")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Omaha")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM



#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$O_R <- 0
p_ref$Ob_R <- 0
p_ref$E_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Omaha"
differences->OMA_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Detroit")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Detroit")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM

#ONLY IF NEEDED!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
p_city[,-6]->p_city


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "E_R", "O_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Detroit"
differences->DET_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Cleveland")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Cleveland")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM

#ONLY IF NEEDED!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
p_city[,-6]->p_city
p_city[,-6]->p_city

#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "E_R",  "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$O_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Cleveland"
differences->CLE_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Cincinnati")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Cincinnati")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM

#ONLY IF NEEDED!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
p_city[,-5]->p_city


#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","Ab_R","B_R","Bb_R","C_R", "E_R", "top_R")
colnames(p_city) <- c("A_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 

p_ref$O_R <- 0
p_ref$Ob_R <- 0

p_city$Ab_U <- 0
p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Cincinnati"
differences->CIN_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Camden")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Camden")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM




#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","B_R","C_R", "E_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$Ab_R <- 0
p_ref$Bb_R <- 0
p_ref$O_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Camden"
differences->CAM_differences

#######################################################################################
#by city
filter(city_all, City_Name=="Atlanta")->city
hz.names <- levels(city$Horizon_Simple)
#by ref
filter(ref_all, City_Name=="Atlanta")->ref
hz.names_ref <- levels(ref$Horizon_Simple)

#Check how we did_city
table(city$Horizon, city$Horizon_Simple)
#use this to make the labels at the bottom of the graph
city$Horizon_Simple<-factor(city$Horizon_Simple)
hz.names <- levels(city$Horizon_Simple)
#Check how we did_ref
table(ref$Horizon, ref$Horizon_Simple)
#use this to make the labels at the bottom of the graph
ref$Horizon_Simple<-factor(ref$Horizon_Simple)
hz.names_ref <- levels(ref$Horizon_Simple)
# slice GHL into 1cm intervals: no aggregation city
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
city_sliced <- slice_(city, slice.vect ~ Horizon_Simple)

# slice GHL into 1cm intervals: no aggregation ref
max.depth <- max(150)
slice.resolution <- 1
slice.vect <- seq(from = 0, to = max.depth, by = slice.resolution)
ref_sliced <- slice_(ref, slice.vect ~ Horizon_Simple)

# convert GHL to factor city
city_sliced$Horizon_Simple <- factor(city_sliced$Horizon_Simple, levels = hz.names)
depths(city_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(city_sliced))
options(datadist = "dd")
(l.genhz_city <- orm(Horizon_Simple ~ rcs(bottom), data = city, x = TRUE, y = TRUE))
# convert GHL to factor ref
ref_sliced$Horizon_Simple <- factor(ref_sliced$Horizon_Simple, levels = hz.names_ref)
depths(ref_sliced)<- SamplePoint_ID ~ top + bottom
dd <- datadist(horizons(ref_sliced))
options(datadist = "dd")
(l.genhz_ref <- orm(Horizon_Simple ~ rcs(bottom), data = ref, x = TRUE, y = TRUE))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_city <- data.frame(predict(l.genhz_city, data.frame(bottom = slice.vect), type = "fitted.ind"))
# predict along same depths: columns are the class-wise probability fitted.ind --> return all
# probability estimates
p_ref <- data.frame(predict(l.genhz_ref, data.frame(bottom = slice.vect), type = "fitted.ind"))
# re-name, rms model output give funky names
names(p_city) <- hz.names
# re-name, rms model output give funky names
names(p_ref) <- hz.names_ref
# add depths
p_city$top <- slice.vect
p_city.ml <- get.ml.hz(p_city, hz.names)
p_city.ml
# add depths
p_ref$top <- slice.vect
p_ref.ml <- get.ml.hz(p_ref, hz.names_ref)
p_ref.ml
#figure out how many/which hz to include
names(p_ref)
names(p_city)
#RUN UP TO HERE NO PROBLEM



#### THIS MIGHT HAVE TO BE CHANGED
colnames(p_ref) <- c("A_R","Ab_R","B_R","Bb_R","C_R", "E_R", "top_R")
colnames(p_city) <- c("A_U","Ab_U","B_U","Bb_U","C_U","top_U")

#ADD COLUMN NAMES THAT MIGHT BE MISSING 
p_ref$O_R <- 0
p_ref$Ob_R <- 0


p_city$O_U <- 0
p_city$Ob_U <- 0
p_city$E_U <- 0

p_ref <- p_ref[c("A_R","Ab_R","B_R","Bb_R", "E_R", "C_R", "O_R", "Ob_R", "top_R")]
p_city <- p_city[c("A_U","Ab_U","B_U","Bb_U", "E_U","C_U", "O_U", "Ob_U", "top_U")]

differences<-p_city-p_ref
differences[,-9]->differences
cbind(differences, p_ref$top_R)->differences
colnames(differences)<-c("A","Ab","B","Bb", "E", "C", "O", "Ob", "top")
differences$city<-"Atlanta"
differences->ATL_differences

#######################################################################################

rbind(CAM_differences,CIN_differences,
      CLE_differences,DET_differences,
      NOLA_differences,OMA_differences,
      PHO_differences,POR_differences,
      SAN_differences,TAC_differences,ATL_differences)->MHL_differences_all


write.table(MHL_differences_all, "MHL_differences_all.csv", sep=",")
